﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BindingTest
{
	/// <summary>
	/// UserControl1.xaml の相互作用ロジック
	/// </summary>
	public partial class UserControl1 : UserControl
	{
		public UserControl1()
		{
			InitializeComponent();
		}

		#region Property1
		public int Property1
		{
			get { return (int)GetValue(Property1Property); }
			set { SetValue(Property1Property, value); }
		}

		public static readonly DependencyProperty Property1Property =
			DependencyProperty.Register("Property1", typeof(int), typeof(UserControl1), new PropertyMetadata(0, new PropertyChangedCallback(OnProperty1Changed)));

		private static void OnProperty1Changed(DependencyObject obj, DependencyPropertyChangedEventArgs args)
		{
			var source = obj as UserControl1;
		}
		#endregion

		#region Property2
		public int Property2
		{
			get { return (int)GetValue(Property2Property); }
			set { SetValue(Property2Property, value); }
		}

		public static readonly DependencyProperty Property2Property =
			DependencyProperty.Register("Property2", typeof(int), typeof(UserControl1), new PropertyMetadata(0, new PropertyChangedCallback(OnProperty2Changed)));

		private static void OnProperty2Changed(DependencyObject obj, DependencyPropertyChangedEventArgs args)
		{
			var source = obj as UserControl1;
		}
		#endregion

	}
}
